Summary: GNOME keyring manager
Name: gnome-keyring-manager
Version: 2.18.0
Release: %mkrel 1
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://gnomesupport.org/wiki/index.php/GNOME%20Keyring%20Manager%20Wiki
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: intltool
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: gnome-keyring-devel >= 0.3.2
BuildRequires: gnome-doc-utils
BuildRequires: libxslt-proc
BuildRequires: scrollkeeper
BuildRequires: desktop-file-utils

%description
This a keyring management program for the GNOME Desktop. The development of
this application will be like a tutorial for people on gnome-love and the main
idea is that these people in gnome-love do the code themself, helped by the
hacker-trainers.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=no
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="gnome" \
	section="System/Configuration/GNOME" \
	title="GNOME keyring manager" \
	longtitle="Manage your secrets with the GNOME keyring" \
	icon="stock_keyring" \
	startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/*/*-{??,??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper
%post_install_gconf_schemas %name
%update_menus

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc HACKING NEWS README TODO AUTHORS ChangeLog
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/man/man1/*
%_datadir/omf/%name/%name-C.omf
%_sysconfdir/gconf/schemas/%name.schemas
%_menudir/%name


%changelog
* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142148
- new version
- fix omf file listing

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.0-1mdv2007.1
+ Revision: 98383
- mkrel
- Import gnome-keyring-manager



* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.0-1
- New version 2.17.0

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2007.0
- rebuild for new dbus

* Thu Jul 20 2006 Gtz Waschk <waschk@mandriva.org> 2.14.0-2mdv2007.0
- spec fixes
- xdg menu

* Sun Mar 12 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-3mdk
- Use mkrel

* Sun Nov 20 2005 Gtz Waschk <waschk@mandriva.org> 2.12.0-2mdk
- update file list
- New release 2.12.0

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 2.11.0-3mdk
- rebuild for new openssl

* Tue Mar 29 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.11.0-2mdk
- fix buildrequires

* Tue Mar 29 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.11.0-1mdk
- update file list
- update buildrequires
- New release 2.11.0

* Sun Jan 30 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- New release 0.0.4

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.3-2mdk 
- Rebuild with latest howl

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.3-1mdk
- add translations
- fix icon in the menu entry
- requires new keyring
- fix source URL
- New release 0.0.3

* Wed Jul 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- initial package
